#import "AppController.h"

@implementation AppController

- (IBAction)beginSheet:(id)sender
	{
	[NSApp beginSheet:theSheet modalForWindow:theWindow modalDelegate:nil didEndSelector:nil contextInfo:nil];
	[realQuit setHidden:YES];
	[fakeQuit setHidden:NO];
	}

- (IBAction)endSheet:(id)sender
	{
	[NSApp endSheet:theSheet];
	[theSheet orderOut:nil];
	
	[realQuit setHidden:NO];
	[fakeQuit setHidden:YES];
	}

- (NSApplicationTerminateReply)applicationShouldTerminate:(NSApplication *)sender
	{
	//do whatever you want here --- like fading out a window, etc.
	NSLog (@"Quit App Normally.");
	return YES;
	}
	
-(IBAction)fakeQuit:(id)sender
	{
	NSLog (@"Totally Hacked Quit Method Initiated");
	[NSApp endSheet:theSheet];
	[theSheet orderOut:nil];
	NSLog (@"Sheet Goes Out, then");
	[NSApp terminate:sender];
	}

@end
